Error: method ‘disposeasync’ in type ‘system.text.json.utf8jsonwriter’ from assembly ‘system.text.json, version=5.0.0.2, culture=neutral, publickeytoken=cc7b13ffcd2ddd51’ does not have an implementation

I am facing this error for all the mail activities(Except Get Mail) of Office 365 with UiPath.MSOffice365 1.14.1 version.
For lower versions not getting this error. Can someone help to resolve it.

Error:
method ‘disposeasync’ in type ‘system.text.json.utf8jsonwriter’ from assembly ‘system.text.json, version=5.0.0.2, culture=neutral, publickeytoken=cc7b13ffcd2ddd51’ does not have an implementation

1 Like

Had a similar issue, but wasn’t able to identify the root cause. Had to revert my O365 dependency back to v 1.11 to have it working.

On a side note, I haven’t been able to prove my point but my theory is the O365 v1.14.1 is referencing to system.text.json in its latest version which is 6.0.5, therefore, is causing an error in the implementation since the error points to v 5.0.0.2. Once I have the time test it all the way through I will update this thread.

@SandeepPanchal I recall a recent case where there was a conflict between the dependencies of Studio (I think it was 20.10.x) and those of the latest O365 package.
What Studio version are you using?

Thanks @Edwin_Barahona for looking it to this.

Actually in O365 1.14.1, new parameter Mail ID is added in Get Mail activity, which i want to use.
I tried to install Microsoft System.Text.Json lower versions, but UiPath is not allowing me to install lower version as >=5.0.2 is already selected in this package.
Also in lower version of O365 <1.14.1, System.Text.Json is not even referenced , no dependency for this, so no issue.

1 Like

Hello @andreioros .
I am using 2021.10.5

@SandeepPanchal is updating Studio an option for you? with more recent versions it should work fine
LE: updating to a close version like 2021.10.7 should help, but I recommend even newer if possible

@andreioros . no, its not an option for me.
Company do not upgrade frequently.

Hi Edwin,

did you experience any issues with downloading files from sharepoint using 1.11.1? I was using this version before, but whenever I download files from sharepoint, they weren’t fully downloaded, resulting in corrupted files.

Thanks!

I’m experiencing the exact same issue, same studio version as SandeepPanchal, is there another possible solution for this to fix the dependency?

Thanks!

Not with sharepoint, do you have an error message or they just download corrupted?

Hi Edwin, there’s no error message, the downloads are corrupted. The filesize is a bit smaller than the original file when I download it from sharepoint, so it seems to be missing some data. However, if I sync the files through OneDrive and make them offline available, this issue doesn’t happen and the download is correct. But of course that defeats the entire purpose of using the GraphApi.
Figured this was a bug, it’s not happening with the 1.14 package version, but there I have the other error…

Just ran a test with the community version, studio version 2022.4.3 and Office365 package version 1.14.1 and it works like a charm!
Unfortunately the company I work for doesn’t upgrade often and they already upgraded studio a few months ago. If anyone still has a solution that could work for 2021.10, I’d be very happy!

1 Like

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.

Hi @EvelineL

If you own an Enterprise licese, feel free to drop our technical support a message. It could be that this fix is included in a patch to your current main version and the support team could check that for you.

Thank you, I’ll do that!

Hi @EvelineL
Checked with UiPath. Its a known issue and will be fixed in next update of O365 package.
Below are details for your reference.

Reason\Cause: There are 2 dependencies to System.Text.Json under UiPath.MicrosoftOffice365.Activities 1.14.1. One depends on 4.6.0 or larger, and another one on 5.0.2 or larger. Due to the second requirement, we think 5.0.2 is probably applied for a function call that expects 4.6.0. System.Text.Json.Utf8JsonWriter.DisposeAsync exists in 4.6.0 but it does not in 5.0.2.

It was right now with Development team for fix and currently there is no ETA.

Resolution: We would recommend you to proceed with one of the below workarounds

  1. The Microsoft Office 365 activity package 1.14.1 has UiPath Platform 22.4.0 as a dependency, meaning that in order to properly work, you would need to upgrade to Studio/Robot 22.4.
    Please find the screenshot below
    image

  2. If you do not want to proceed with upgrade and continue to use the 21.10.4 version (as mentioned in the case details), you would need to use the Microsoft Office 365 activity Package version 1.11.1.please downgrade the package to 1.11.1 Version.

Hope this will help all.
Thanks,
Sandeep Panchal

4 Likes

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.